Create Snapshot of a Summary Cashflow Curve

POST /ws/rest/service/v2/cashflow/summary/snapshot

Available: 24.4 and later

Purpose

Create a snapshot for an existing cashflow summary curve in a specific shell. A successful REST API call creates a snapshot with the specified name in the curve with an entry in the snapshot log. Only one snapshot can be created with each request.

Prerequisites

To create snapshots of summary curves, you must have Full Access or Create permissions for Cashflow REST services.

Request Format

Send an API request with the following structure:

{

"options":{

"project_number": "<value>",

"summary_cashflow_name": "<summary curve name>"

},

"data":[ {"snapshot_name":"<new snapshot name>"}]

}

Request Parameters For Options and Data Objects

The following parameters must be specified in the request.

Request Parameter Required? Data Type Description
project_number Yes String A valid shell/project number with Active status.
summary_cashflow_name Yes String The name of the summary cashflow curve for which the snapshot is to be created.
snapshot_name Yes String New snapshot name to be created.

Response Format

A JSON object is returned in the following format:

{

"data": [],

"message": [<list of messages>],

"status": <REST status code value>,

"rest_audit_id": <id from the audit table>

}

A successful response displays a status code 200.

A failed response displays a message with a status code.

Sample Request

To create a snapshot for a summary cashflow curve, send a request in the following format:

{

"data": [

{

"summary_cashflow_name": [ "New curve 5" ],

"snapshot_name": ["Rest snapshot 289"]

}

],

"message": [ "success" ],

"status": 200,

"rest_audit_id": 2377

}

Sample Success Response

A successful response with status code 200 displays in the following format:

{

"data": [

{

"Name": [ "New curve 5" ],

"snapshot_name": [ "Rest snapshot 289" ]

}

],

"message": [ "success" ],

"status": 200,

"rest_audit_id": 2377

}

Sample Failed Response

A failure message and status is displayed for a snapshot in the following format:

{

"data": [],

"message": [ "Cashflow curve name is mandatory and is missing in the input request" ],

"status": 13003,

"rest_audit_id": 2378

}

Supported Validation Messages and Status Codes

The following error messages and status codes display in the response when incorrect values are provided in the request.

Field Name Use-case Scenario Status Code Error Message
project_number Project is not an active. 13001 Create/Update/Delete cannot be performed when project/shell status is Inactive or View-Only or On-Hold.
project_number Project number is not provided. 602 Project/Shell number is mandatory and is missing in the input request.
project_number Project number is Invalid. 1245 ( create/update - existing code) Create/Update/Delete cannot be performed when project/shell status is Inactive or View-Only or On-Hold.
project_number Project number is Invalid. 1219 ( get - existing code) Project status is inactive.
summary_cashflow_name Curve name is not provided. 13002 cashflow curve name is mandatory and is missing in the input request.
summary_cashflow_name Curve name provided no longer exists. 13003 Invalid curve name provided in input request.
summary_cashflow_name Cashflow name provided in not summary type 13011 Cashflow name provided in input request is not a summary curve.
summary_cashflow_name Summary curve status in inactive. 13012 Selected summary cash flow is no longer active.
snapshotName Snapshot name is not provided. 13004 Provide a snapshot name.
snapshotName Snapshot name already exists. 13005 snapshot name already exists.
snapshotName Snapshot name do not exist for selected curve. 13006 snapshot name specified do not exist in the cashflow <name>.
snapshotName Snapshot names exceeds 64 characters. 13010 Cash Flow snapshot name cannot exceed 64 characters.